{
    "objects": [
        {
            "attributes": {
                "description": "Kafka analysis of topics and consumer groups",
                "hits": 0,
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"version\": true, \"filter\": [], \"highlightAll\": true}"
                },
                "optionsJSON": "{\"hidePanelTitles\": false, \"darkTheme\": false, \"useMargins\": true}",
                "panelsJSON": "[{\"gridData\": {\"x\": 0, \"i\": \"1\", \"w\": 24, \"y\": 20, \"h\": 13}, \"panelRefName\": \"panel_0\", \"panelIndex\": \"1\", \"embeddableConfig\": {}, \"version\": \"7.3.0\", \"title\": \"Kafka Topic & Consumer Offsets\"}, {\"gridData\": {\"x\": 0, \"i\": \"3\", \"w\": 16, \"y\": 0, \"h\": 6}, \"panelRefName\": \"panel_1\", \"panelIndex\": \"3\", \"embeddableConfig\": {}, \"version\": \"7.3.0\", \"title\": \"Kafka Controls\"}, {\"gridData\": {\"x\": 0, \"i\": \"6\", \"w\": 24, \"y\": 6, \"h\": 14}, \"panelRefName\": \"panel_2\", \"panelIndex\": \"6\", \"embeddableConfig\": {}, \"version\": \"7.3.0\", \"title\": \"Consumer Group Lag by Topic\"}, {\"gridData\": {\"x\": 16, \"i\": \"10\", \"w\": 25, \"y\": 0, \"h\": 6}, \"panelRefName\": \"panel_3\", \"panelIndex\": \"10\", \"embeddableConfig\": {\"spy\": null}, \"version\": \"7.3.0\", \"title\": \"Kafka Metrics\"}, {\"gridData\": {\"x\": 0, \"i\": \"12\", \"w\": 24, \"y\": 33, \"h\": 7}, \"panelRefName\": \"panel_4\", \"panelIndex\": \"12\", \"embeddableConfig\": {}, \"version\": \"7.3.0\", \"title\": \"Consumer Partition Reassignments\"}, {\"gridData\": {\"x\": 41, \"i\": \"13\", \"w\": 7, \"y\": 0, \"h\": 6}, \"panelRefName\": \"panel_5\", \"panelIndex\": \"13\", \"embeddableConfig\": {}, \"version\": \"7.3.0\", \"title\": \"Consumer Metrics\"}, {\"gridData\": {\"x\": 24, \"i\": \"14\", \"w\": 24, \"y\": 27, \"h\": 13}, \"panelRefName\": \"panel_6\", \"panelIndex\": \"14\", \"embeddableConfig\": {\"vis\": {\"params\": {\"sort\": {\"columnIndex\": null, \"direction\": null}}}, \"spy\": null}, \"version\": \"7.3.0\", \"title\": \"Kafka Consumer Group Clients\"}, {\"gridData\": {\"x\": 24, \"i\": \"15\", \"w\": 24, \"y\": 6, \"h\": 10}, \"panelRefName\": \"panel_7\", \"panelIndex\": \"15\", \"embeddableConfig\": {}, \"version\": \"7.3.0\", \"title\": \"Kafka Brokers\"}, {\"gridData\": {\"x\": 24, \"i\": \"16\", \"w\": 24, \"y\": 16, \"h\": 11}, \"panelRefName\": \"panel_8\", \"panelIndex\": \"16\", \"embeddableConfig\": {\"table\": {\"sort\": {\"order\": \"desc\", \"column\": \"26d2cd90-d2f5-11e8-9dd4-c5f03280d7b0\"}}}, \"version\": \"7.3.0\", \"title\": \"Kafka Topic Details\"}]",
                "timeRestore": false,
                "title": "[Metricbeat Kafka] Overview ECS",
                "version": 1
            },
            "id": "ea488d90-8e63-11e8-8fa2-3d5f811fbd0f-ecs",
            "migrationVersion": {
                "dashboard": "7.3.0"
            },
            "references": [
                {
                    "id": "b9d12c80-8e63-11e8-8fa2-3d5f811fbd0f-ecs",
                    "name": "panel_0",
                    "type": "visualization"
                },
                {
                    "id": "8d2f79a0-8e65-11e8-8fa2-3d5f811fbd0f-ecs",
                    "name": "panel_1",
                    "type": "visualization"
                },
                {
                    "id": "944188f0-8e79-11e8-8fa2-3d5f811fbd0f-ecs",
                    "name": "panel_2",
                    "type": "visualization"
                },
                {
                    "id": "dc89f8d0-8e8e-11e8-8fa2-3d5f811fbd0f-ecs",
                    "name": "panel_3",
                    "type": "visualization"
                },
                {
                    "id": "587f2360-8f21-11e8-8fa2-3d5f811fbd0f-ecs",
                    "name": "panel_4",
                    "type": "visualization"
                },
                {
                    "id": "1681f1a0-90e7-11e8-8fa2-3d5f811fbd0f-ecs",
                    "name": "panel_5",
                    "type": "visualization"
                },
                {
                    "id": "9a7576e0-d231-11e8-8766-dbbdc39e7ba9-ecs",
                    "name": "panel_6",
                    "type": "visualization"
                },
                {
                    "id": "27dd5960-d2ed-11e8-8766-dbbdc39e7ba9-ecs",
                    "name": "panel_7",
                    "type": "visualization"
                },
                {
                    "id": "491fee50-d2f5-11e8-8766-dbbdc39e7ba9-ecs",
                    "name": "panel_8",
                    "type": "visualization"
                }
            ],
            "type": "dashboard",
            "updated_at": "2019-11-29T09:36:17.646Z",
            "version": "WzI2NDgsMV0="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{}"
                },
                "title": "Kafka Topic & Consumer Offsets [Metricbeat Kafka] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [], \"title\": \"Kafka Topic & Consumer Offsets [Metricbeat Kafka] ECS\", \"params\": {\"id\": \"61ca57f0-469d-11e7-af02-69e470af7417\", \"filter\": {\"query\": \"NOT kafka.topic.name:__consumer_offsets\", \"language\": \"lucene\"}, \"series\": [{\"terms_order_by\": \"_term\", \"id\": \"61ca57f1-469d-11e7-af02-69e470af7417\", \"filter\": {\"query\": \"metricset.name: partition AND kafka.partition.partition.is_leader: true\", \"language\": \"lucene\"}, \"seperate_axis\": 0, \"color\": \"rgba(244,78,59,1)\", \"terms_field\": \"kafka.topic.name\", \"axis_position\": \"right\", \"fill\": \"0.1\", \"value_template\": \"{{value}}\", \"metrics\": [{\"id\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"field\": \"kafka.partition.offset.newest\", \"type\": \"sum\"}], \"formatter\": \"number\", \"split_color_mode\": \"rainbow\", \"chart_type\": \"bar\", \"line_width\": \"0.5\", \"label\": \"Topic Offsets\", \"split_mode\": \"terms\", \"point_size\": \"0\", \"stacked\": \"none\"}, {\"terms_order_by\": \"_term\", \"id\": \"d43034c0-8f1e-11e8-8784-cd0acd161a28\", \"filter\": {\"query\": \"metricset.name: consumergroup\", \"language\": \"lucene\"}, \"seperate_axis\": 0, \"color\": \"rgba(244,78,59,0.52)\", \"terms_field\": \"kafka.consumergroup.id\", \"axis_position\": \"right\", \"fill\": \"0\", \"value_template\": \"{{value}}\", \"metrics\": [{\"id\": \"d43034c1-8f1e-11e8-8784-cd0acd161a28\", \"field\": \"kafka.consumergroup.offset\", \"type\": \"sum\"}], \"formatter\": \"number\", \"split_color_mode\": \"rainbow\", \"chart_type\": \"line\", \"line_width\": \"1\", \"label\": \"Consumer Offsets\", \"split_mode\": \"terms\", \"split_filters\": [{\"id\": \"dd41ada0-8f1e-11e8-8784-cd0acd161a28\", \"color\": \"#68BC00\"}], \"point_size\": \"1.5\", \"stacked\": \"none\"}], \"background_color_rules\": [{\"id\": \"8b27e6a0-8e61-11e8-b741-c3e458b74a68\"}], \"axis_formatter\": \"number\", \"axis_position\": \"left\", \"show_grid\": 1, \"time_field\": \"@timestamp\", \"index_pattern\": \"metricbeat-*\", \"show_legend\": 1, \"interval\": \"auto\", \"type\": \"timeseries\"}, \"type\": \"metrics\"}"
            },
            "id": "b9d12c80-8e63-11e8-8fa2-3d5f811fbd0f-ecs",
            "migrationVersion": {
                "visualization": "7.3.1"
            },
            "references": [],
            "type": "visualization",
            "updated_at": "2019-11-29T09:36:17.646Z",
            "version": "WzI2MzksMV0="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{}"
                },
                "title": "Kafka Controls [Metricbeat Kafka] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [], \"title\": \"Kafka Controls [Metricbeat Kafka] ECS\", \"params\": {\"pinFilters\": false, \"controls\": [{\"fieldName\": \"kafka.topic.name\", \"id\": \"1532342651170\", \"type\": \"list\", \"label\": \"Topic Name\", \"options\": {\"multiselect\": true, \"order\": \"desc\", \"size\": 10, \"type\": \"terms\"}, \"indexPatternRefName\": \"control_0_index_pattern\", \"parent\": \"\"}, {\"fieldName\": \"kafka.partition.id\", \"id\": \"1539799686678\", \"type\": \"list\", \"label\": \"Partition\", \"options\": {\"multiselect\": true, \"order\": \"desc\", \"size\": 5, \"type\": \"terms\"}, \"indexPatternRefName\": \"control_1_index_pattern\", \"parent\": \"1532342651170\"}], \"updateFiltersOnChange\": true, \"useTimeFilter\": false}, \"type\": \"input_control_vis\"}"
            },
            "id": "8d2f79a0-8e65-11e8-8fa2-3d5f811fbd0f-ecs",
            "migrationVersion": {
                "visualization": "7.3.1"
            },
            "references": [
                {
                    "id": "metricbeat-*",
                    "name": "control_0_index_pattern",
                    "type": "index-pattern"
                },
                {
                    "id": "metricbeat-*",
                    "name": "control_1_index_pattern",
                    "type": "index-pattern"
                }
            ],
            "type": "visualization",
            "updated_at": "2019-11-29T09:36:17.646Z",
            "version": "WzI2NDAsMV0="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": []}"
                },
                "title": "Kafka Consumer Group Lag vs Time [Metricbeat Kafka] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [], \"title\": \"Kafka Consumer Group Lag vs Time [Metricbeat Kafka] ECS\", \"params\": {\"axis_formatter\": \"number\", \"id\": \"61ca57f0-469d-11e7-af02-69e470af7417\", \"filter\": {\"query\": \"(metricset.name: consumergroup) AND NOT kafka.consumergroup.topic.name:__consumer_offsets\", \"language\": \"lucene\"}, \"interval\": \"auto\", \"background_color_rules\": [{\"id\": \"1966adf0-1298-11ea-abd7-b5bb8e05b5d6\"}], \"default_index_pattern\": \"metricbeat-*\", \"show_legend\": 1, \"axis_position\": \"left\", \"gauge_width\": 10, \"show_grid\": 1, \"time_field\": \"@timestamp\", \"index_pattern\": \"metricbeat-*\", \"default_timefield\": \"@timestamp\", \"gauge_color_rules\": [{\"id\": \"1eee15b0-1298-11ea-abd7-b5bb8e05b5d6\"}], \"gauge_inner_width\": 10, \"series\": [{\"id\": \"0dcb8020-8e6d-11e8-bfab-6f29bad3a6f2\", \"chart_type\": \"line\", \"seperate_axis\": 0, \"color\": \"rgba(0,156,224,1)\", \"terms_field\": \"kafka.consumergroup.topic\", \"axis_position\": \"right\", \"point_size\": \"0\", \"metrics\": [{\"id\": \"0dcb8021-8e6d-11e8-bfab-6f29bad3a6f2\", \"field\": \"kafka.consumergroup.consumer_lag\", \"type\": \"max\"}], \"formatter\": \"number\", \"split_color_mode\": \"rainbow\", \"fill\": \"0.2\", \"line_width\": 1, \"label\": \"Consumer Groups\", \"split_mode\": \"terms\", \"type\": \"timeseries\", \"stacked\": \"none\"}], \"isModelInvalid\": false, \"axis_scale\": \"normal\", \"type\": \"timeseries\", \"gauge_style\": \"half\", \"bar_color_rules\": [{\"id\": \"1dbe6f50-1298-11ea-abd7-b5bb8e05b5d6\"}]}, \"type\": \"metrics\"}"
            },
            "id": "944188f0-8e79-11e8-8fa2-3d5f811fbd0f-ecs",
            "migrationVersion": {
                "visualization": "7.3.1"
            },
            "references": [],
            "type": "visualization",
            "updated_at": "2019-11-29T11:07:58.021Z",
            "version": "WzI4MjMsMV0="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"indexRefName\": \"kibanaSavedObjectMeta.searchSourceJSON.index\", \"filter\": [{\"query\": {\"match\": {\"metricset.name\": {\"query\": \"partition\", \"type\": \"phrase\"}}}, \"$state\": {\"store\": \"appState\"}, \"meta\": {\"negate\": false, \"disabled\": false, \"key\": \"metricset.name\", \"params\": {\"query\": \"partition\", \"type\": \"phrase\"}, \"type\": \"phrase\", \"indexRefName\": \"kibanaSavedObjectMeta.searchSourceJSON.filter[0].meta.index\", \"value\": \"partition\", \"alias\": \"Partition Metricset\"}}, {\"query\": {\"match\": {\"kafka.topic.name\": {\"query\": \"__consumer_offsets\", \"type\": \"phrase\"}}}, \"$state\": {\"store\": \"appState\"}, \"meta\": {\"negate\": true, \"disabled\": false, \"key\": \"kafka.topic.name\", \"params\": {\"query\": \"__consumer_offsets\", \"type\": \"phrase\"}, \"type\": \"phrase\", \"indexRefName\": \"kibanaSavedObjectMeta.searchSourceJSON.filter[1].meta.index\", \"value\": \"__consumer_offsets\", \"alias\": null}}], \"query\": {\"query\": \"\", \"language\": \"kuery\"}}"
                },
                "title": "Kafka Metrics [Metricbeat Kafka] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [{\"enabled\": true, \"schema\": \"metric\", \"params\": {\"field\": \"kafka.topic.name\", \"customLabel\": \"Topics\"}, \"id\": \"1\", \"type\": \"cardinality\"}, {\"enabled\": true, \"schema\": \"metric\", \"params\": {\"field\": \"kafka.partition.broker.id\", \"customLabel\": \"Brokers\"}, \"id\": \"3\", \"type\": \"cardinality\"}, {\"enabled\": true, \"schema\": \"metric\", \"params\": {\"field\": \"kafka.partition.topic_id\", \"customLabel\": \"Partitions\"}, \"id\": \"5\", \"type\": \"cardinality\"}, {\"enabled\": true, \"schema\": \"metric\", \"params\": {\"field\": \"kafka.partition.topic_broker_id\", \"customLabel\": \"Replicas\"}, \"id\": \"6\", \"type\": \"cardinality\"}], \"title\": \"Kafka Metrics [Metricbeat Kafka] ECS\", \"params\": {\"metric\": {\"percentageMode\": false, \"labels\": {\"show\": true}, \"colorsRange\": [{\"to\": 10000, \"from\": 0}], \"style\": {\"labelColor\": false, \"subText\": \"\", \"bgFill\": \"#000\", \"bgColor\": false, \"fontSize\": 32}, \"metricColorMode\": \"None\", \"colorSchema\": \"Green to Red\", \"useRanges\": false, \"invertColors\": false}, \"type\": \"metric\", \"addTooltip\": true, \"addLegend\": false}, \"type\": \"metric\"}"
            },
            "id": "dc89f8d0-8e8e-11e8-8fa2-3d5f811fbd0f-ecs",
            "migrationVersion": {
                "visualization": "7.3.1"
            },
            "references": [
                {
                    "id": "metricbeat-*",
                    "name": "kibanaSavedObjectMeta.searchSourceJSON.index",
                    "type": "index-pattern"
                },
                {
                    "id": "metricbeat-*",
                    "name": "kibanaSavedObjectMeta.searchSourceJSON.filter[0].meta.index",
                    "type": "index-pattern"
                },
                {
                    "id": "metricbeat-*",
                    "name": "kibanaSavedObjectMeta.searchSourceJSON.filter[1].meta.index",
                    "type": "index-pattern"
                }
            ],
            "type": "visualization",
            "updated_at": "2019-11-29T09:36:17.646Z",
            "version": "WzI2NDIsMV0="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{}"
                },
                "title": "Consumer Partition Reassignments [Metricbeat Kafka] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [], \"title\": \"Consumer Partition Reassignments [Metricbeat Kafka] ECS\", \"params\": {\"id\": \"61ca57f0-469d-11e7-af02-69e470af7417\", \"filter\": {\"query\": \"NOT kafka.topic.name:__consumer_offsets\", \"language\": \"lucene\"}, \"series\": [{\"id\": \"61ca57f1-469d-11e7-af02-69e470af7417\", \"chart_type\": \"line\", \"seperate_axis\": 0, \"color\": \"#68BC00\", \"terms_field\": \"kafka.consumergroup.id\", \"axis_position\": \"right\", \"point_size\": \"20\", \"value_template\": \"\", \"metrics\": [{\"id\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"field\": \"kafka.consumergroup.partition\", \"type\": \"sum\"}, {\"unit\": \"\", \"id\": \"6b69c760-8f20-11e8-8927-d7e991b5b6ab\", \"field\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"type\": \"derivative\"}, {\"id\": \"976f9d80-8f20-11e8-8927-d7e991b5b6ab\", \"variables\": [{\"id\": \"99cc2b20-8f20-11e8-8927-d7e991b5b6ab\", \"field\": \"6b69c760-8f20-11e8-8927-d7e991b5b6ab\", \"name\": \"sum_partition\"}], \"script\": \"if (params.sum_partition < 0) { return -1 } else if (params.sum_partition > 0) { return 1 }\", \"type\": \"calculation\"}], \"formatter\": \"number\", \"split_color_mode\": \"rainbow\", \"fill\": \"0\", \"line_width\": \"1\", \"label\": \"Consumer -> Partition Reassignment\", \"split_mode\": \"terms\", \"hide_in_legend\": 0, \"stacked\": \"none\"}], \"time_field\": \"@timestamp\", \"axis_formatter\": \"number\", \"axis_position\": \"right\", \"index_pattern\": \"metricbeat-*\", \"show_grid\": 1, \"axis_max\": \"1\", \"axis_min\": \"-1\", \"show_legend\": 1, \"interval\": \"auto\", \"type\": \"timeseries\"}, \"type\": \"metrics\"}"
            },
            "id": "587f2360-8f21-11e8-8fa2-3d5f811fbd0f-ecs",
            "migrationVersion": {
                "visualization": "7.3.1"
            },
            "references": [],
            "type": "visualization",
            "updated_at": "2019-11-29T09:36:17.646Z",
            "version": "WzI2NDMsMV0="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"indexRefName\": \"kibanaSavedObjectMeta.searchSourceJSON.index\", \"filter\": [{\"query\": {\"match\": {\"kafka.topic.name\": {\"query\": \"__consumer_offsets\", \"type\": \"phrase\"}}}, \"$state\": {\"store\": \"appState\"}, \"meta\": {\"negate\": true, \"disabled\": false, \"key\": \"kafka.topic.name\", \"params\": {\"query\": \"__consumer_offsets\", \"type\": \"phrase\"}, \"type\": \"phrase\", \"indexRefName\": \"kibanaSavedObjectMeta.searchSourceJSON.filter[0].meta.index\", \"value\": \"__consumer_offsets\", \"alias\": null}}], \"query\": {\"query\": \"\", \"language\": \"kuery\"}}"
                },
                "title": "Consumer Metrics [Metricbeat Kafka] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [{\"enabled\": true, \"schema\": \"metric\", \"params\": {\"field\": \"kafka.consumergroup.id\", \"customLabel\": \"Consumer Groups\"}, \"id\": \"1\", \"type\": \"cardinality\"}], \"title\": \"Consumer Metrics [Metricbeat Kafka] ECS\", \"params\": {\"metric\": {\"percentageMode\": false, \"labels\": {\"show\": true}, \"colorsRange\": [{\"to\": 10000, \"from\": 0}], \"style\": {\"labelColor\": false, \"subText\": \"\", \"bgFill\": \"#000\", \"bgColor\": false, \"fontSize\": 32}, \"metricColorMode\": \"None\", \"colorSchema\": \"Green to Red\", \"useRanges\": false, \"invertColors\": false}, \"type\": \"metric\", \"addTooltip\": true, \"addLegend\": false}, \"type\": \"metric\"}"
            },
            "id": "1681f1a0-90e7-11e8-8fa2-3d5f811fbd0f-ecs",
            "migrationVersion": {
                "visualization": "7.3.1"
            },
            "references": [
                {
                    "id": "metricbeat-*",
                    "name": "kibanaSavedObjectMeta.searchSourceJSON.index",
                    "type": "index-pattern"
                },
                {
                    "id": "metricbeat-*",
                    "name": "kibanaSavedObjectMeta.searchSourceJSON.filter[0].meta.index",
                    "type": "index-pattern"
                }
            ],
            "type": "visualization",
            "updated_at": "2019-11-29T09:36:17.646Z",
            "version": "WzI2NDQsMV0="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"indexRefName\": \"kibanaSavedObjectMeta.searchSourceJSON.index\", \"filter\": [], \"query\": {\"query\": \"\", \"language\": \"kuery\"}}"
                },
                "title": "Kafka Consumer Group Clients [Metricbeat Kafka] ECS",
                "uiStateJSON": "{\"vis\": {\"params\": {\"sort\": {\"columnIndex\": null, \"direction\": null}}}}",
                "version": 1,
                "visState": "{\"aggs\": [{\"enabled\": true, \"schema\": \"metric\", \"params\": {\"field\": \"kafka.consumergroup.offset\", \"customLabel\": \"Newest Offset\"}, \"id\": \"1\", \"type\": \"max\"}, {\"enabled\": true, \"schema\": \"bucket\", \"params\": {\"missingBucketLabel\": \"Missing\", \"otherBucketLabel\": \"Other\", \"missingBucket\": false, \"size\": 64, \"orderBy\": \"_term\", \"otherBucket\": false, \"field\": \"kafka.consumergroup.client.id\", \"customLabel\": \"Consumer group client\", \"order\": \"desc\"}, \"id\": \"2\", \"type\": \"terms\"}, {\"enabled\": true, \"schema\": \"bucket\", \"params\": {\"missingBucketLabel\": \"Missing\", \"otherBucketLabel\": \"Other\", \"missingBucket\": false, \"size\": 64, \"orderBy\": \"1\", \"otherBucket\": false, \"field\": \"kafka.topic.name\", \"customLabel\": \"Topic\", \"order\": \"desc\"}, \"id\": \"3\", \"type\": \"terms\"}, {\"enabled\": true, \"schema\": \"bucket\", \"params\": {\"missingBucketLabel\": \"Missing\", \"otherBucketLabel\": \"Other\", \"missingBucket\": false, \"size\": 256, \"orderBy\": \"1\", \"otherBucket\": false, \"field\": \"kafka.partition.id\", \"customLabel\": \"Partition\", \"order\": \"desc\"}, \"id\": \"4\", \"type\": \"terms\"}], \"title\": \"Kafka Consumer Group Clients [Metricbeat Kafka] ECS\", \"params\": {\"totalFunc\": \"sum\", \"showMeticsAtAllLevels\": false, \"showTotal\": false, \"sort\": {\"columnIndex\": null, \"direction\": null}, \"showPartialRows\": false, \"perPage\": 10}, \"type\": \"table\"}"
            },
            "id": "9a7576e0-d231-11e8-8766-dbbdc39e7ba9-ecs",
            "migrationVersion": {
                "visualization": "7.3.1"
            },
            "references": [
                {
                    "id": "metricbeat-*",
                    "name": "kibanaSavedObjectMeta.searchSourceJSON.index",
                    "type": "index-pattern"
                }
            ],
            "type": "visualization",
            "updated_at": "2019-11-29T09:36:17.646Z",
            "version": "WzI2NDUsMV0="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{}"
                },
                "title": "Kafka Broker Details [Metricbeat Kafka] ECS",
                "uiStateJSON": "{\"table\": {\"sort\": {\"order\": \"asc\", \"column\": \"cf09c940-d2ec-11e8-88c8-af5b2a9ee6b2\"}}}",
                "version": 1,
                "visState": "{\"aggs\": [], \"title\": \"Kafka Broker Details [Metricbeat Kafka] ECS\", \"params\": {\"id\": \"61ca57f0-469d-11e7-af02-69e470af7417\", \"filter\": \"\", \"series\": [{\"terms_size\": \"100\", \"id\": \"61ca57f1-469d-11e7-af02-69e470af7417\", \"chart_type\": \"line\", \"seperate_axis\": 0, \"color\": \"#68BC00\", \"terms_field\": \"kafka.broker.id\", \"axis_position\": \"right\", \"point_size\": 1, \"metrics\": [{\"id\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"field\": \"kafka.topic.name\", \"type\": \"cardinality\"}], \"formatter\": \"number\", \"split_mode\": \"terms\", \"fill\": 0.5, \"line_width\": 1, \"label\": \"Topics\", \"stacked\": \"none\"}, {\"id\": \"b38e91a0-d2ec-11e8-88c8-af5b2a9ee6b2\", \"chart_type\": \"line\", \"seperate_axis\": 0, \"color\": \"#68BC00\", \"axis_position\": \"right\", \"fill\": 0.5, \"metrics\": [{\"id\": \"b38eb8b0-d2ec-11e8-88c8-af5b2a9ee6b2\", \"field\": \"kafka.partition.topic_id\", \"type\": \"cardinality\"}], \"formatter\": \"number\", \"split_mode\": \"everything\", \"filter\": {\"query\": \"kafka.partition.partition.is_leader: true\", \"language\": \"lucene\"}, \"line_width\": 1, \"label\": \"Leader Partitions\", \"color_rules\": [{\"id\": \"7e9ee780-d2ef-11e8-9dd4-c5f03280d7b0\"}], \"point_size\": 1, \"stacked\": \"none\"}, {\"id\": \"cf09c940-d2ec-11e8-88c8-af5b2a9ee6b2\", \"chart_type\": \"line\", \"seperate_axis\": 0, \"color\": \"#68BC00\", \"axis_position\": \"right\", \"fill\": 0.5, \"metrics\": [{\"id\": \"cf09f050-d2ec-11e8-88c8-af5b2a9ee6b2\", \"field\": \"kafka.partition.topic_broker_id\", \"type\": \"cardinality\"}], \"formatter\": \"number\", \"split_mode\": \"everything\", \"filter\": \"\", \"line_width\": 1, \"label\": \"Replicas\", \"color_rules\": [{\"id\": \"d4d9d2c0-d2ec-11e8-88c8-af5b2a9ee6b2\"}], \"point_size\": 1, \"stacked\": \"none\"}], \"time_field\": \"@timestamp\", \"axis_formatter\": \"number\", \"pivot_id\": \"kafka.partition.partition.replica\", \"axis_position\": \"left\", \"show_grid\": 1, \"index_pattern\": \"metricbeat-*\", \"show_legend\": 1, \"interval\": \"auto\", \"pivot_label\": \"Broker ID\", \"pivot_rows\": \"256\", \"type\": \"table\", \"bar_color_rules\": [{\"id\": \"7fb31e00-d2ec-11e8-88c8-af5b2a9ee6b2\"}]}, \"type\": \"metrics\"}"
            },
            "id": "27dd5960-d2ed-11e8-8766-dbbdc39e7ba9-ecs",
            "migrationVersion": {
                "visualization": "7.3.1"
            },
            "references": [],
            "type": "visualization",
            "updated_at": "2019-11-29T09:36:17.646Z",
            "version": "WzI2NDYsMV0="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{}"
                },
                "title": "Kafka Topic Details [Metricbeat Kafka] ECS",
                "uiStateJSON": "{\"table\": {\"sort\": {\"order\": \"asc\", \"column\": \"_default_\"}}}",
                "version": 1,
                "visState": "{\"aggs\": [], \"title\": \"Kafka Topic Details [Metricbeat Kafka] ECS\", \"params\": {\"id\": \"61ca57f0-469d-11e7-af02-69e470af7417\", \"filter\": {\"query\": \"NOT kafka.topic.name: __consumer_offsets\", \"language\": \"lucene\"}, \"series\": [{\"id\": \"61ca57f1-469d-11e7-af02-69e470af7417\", \"chart_type\": \"line\", \"seperate_axis\": 0, \"color\": \"#68BC00\", \"axis_position\": \"right\", \"fill\": 0.5, \"metrics\": [{\"id\": \"61ca57f2-469d-11e7-af02-69e470af7417\", \"field\": \"kafka.broker.id\", \"type\": \"cardinality\"}], \"formatter\": \"number\", \"split_mode\": \"everything\", \"filter\": {\"query\": \" metricset.name: partition\", \"language\": \"lucene\"}, \"line_width\": 1, \"label\": \"Brokers\", \"color_rules\": [{\"id\": \"f07881d0-d2f5-11e8-95b9-eb9260148efc\"}], \"point_size\": 1, \"stacked\": \"none\"}, {\"id\": \"7d640440-d2f4-11e8-9dd4-c5f03280d7b0\", \"chart_type\": \"line\", \"seperate_axis\": 0, \"color\": \"#68BC00\", \"axis_position\": \"right\", \"fill\": 0.5, \"metrics\": [{\"id\": \"7d640441-d2f4-11e8-9dd4-c5f03280d7b0\", \"field\": \"kafka.partition.id\", \"type\": \"cardinality\"}], \"formatter\": \"number\", \"split_mode\": \"everything\", \"filter\": {\"query\": \" metricset.name: partition\", \"language\": \"lucene\"}, \"line_width\": 1, \"label\": \"Partitions\", \"color_rules\": [{\"id\": \"fb759e10-d2f5-11e8-95b9-eb9260148efc\"}], \"point_size\": 1, \"stacked\": \"none\"}, {\"id\": \"ad26e260-d2f4-11e8-9dd4-c5f03280d7b0\", \"chart_type\": \"line\", \"seperate_axis\": 0, \"color\": \"#68BC00\", \"axis_position\": \"right\", \"fill\": 0.5, \"metrics\": [{\"id\": \"ad26e261-d2f4-11e8-9dd4-c5f03280d7b0\", \"field\": \"kafka.partition.topic_broker_id\", \"type\": \"cardinality\"}], \"formatter\": \"number\", \"split_mode\": \"everything\", \"filter\": {\"query\": \" metricset.name: partition\", \"language\": \"lucene\"}, \"line_width\": 1, \"label\": \"Replicas\", \"color_rules\": [{\"id\": \"fdb1ab60-d2f5-11e8-95b9-eb9260148efc\"}], \"point_size\": 1, \"stacked\": \"none\"}, {\"id\": \"26d2cd90-d2f5-11e8-9dd4-c5f03280d7b0\", \"chart_type\": \"line\", \"seperate_axis\": 0, \"color\": \"#68BC00\", \"axis_position\": \"right\", \"fill\": 0.5, \"metrics\": [{\"id\": \"26d2cd91-d2f5-11e8-9dd4-c5f03280d7b0\", \"field\": \"kafka.consumergroup.client.id\", \"type\": \"cardinality\"}], \"formatter\": \"number\", \"split_mode\": \"everything\", \"filter\": {\"query\": \" metricset.name: consumergroup\", \"language\": \"lucene\"}, \"line_width\": 1, \"label\": \"Consumers\", \"color_rules\": [{\"id\": \"ff90f2b0-d2f5-11e8-95b9-eb9260148efc\"}], \"point_size\": 1, \"stacked\": \"none\"}, {\"id\": \"dc390e20-d2f4-11e8-9dd4-c5f03280d7b0\", \"chart_type\": \"line\", \"seperate_axis\": 0, \"color\": \"#68BC00\", \"axis_position\": \"right\", \"fill\": 0.5, \"metrics\": [{\"id\": \"dc393530-d2f4-11e8-9dd4-c5f03280d7b0\", \"field\": \"kafka.partition.offset.newest\", \"type\": \"max\"}], \"formatter\": \"number\", \"split_mode\": \"everything\", \"filter\": {\"query\": \" metricset.name: partition\", \"language\": \"lucene\"}, \"line_width\": 1, \"label\": \"Newest Offset\", \"color_rules\": [{\"id\": \"ea4984e0-d2f4-11e8-9dd4-c5f03280d7b0\"}], \"point_size\": 1, \"stacked\": \"none\"}, {\"id\": \"11366c80-d2f5-11e8-9dd4-c5f03280d7b0\", \"chart_type\": \"line\", \"seperate_axis\": 0, \"color\": \"#68BC00\", \"axis_position\": \"right\", \"fill\": 0.5, \"metrics\": [{\"id\": \"11366c81-d2f5-11e8-9dd4-c5f03280d7b0\", \"field\": \"kafka.partition.offset.oldest\", \"type\": \"min\"}], \"formatter\": \"number\", \"split_mode\": \"everything\", \"filter\": {\"query\": \" metricset.name: partition\", \"language\": \"lucene\"}, \"line_width\": 1, \"label\": \"Oldest Offset\", \"color_rules\": [{\"id\": \"043b67f0-d2f6-11e8-95b9-eb9260148efc\"}], \"point_size\": 1, \"stacked\": \"none\"}], \"time_field\": \"@timestamp\", \"axis_formatter\": \"number\", \"pivot_id\": \"kafka.topic.name\", \"axis_position\": \"left\", \"show_grid\": 1, \"index_pattern\": \"metricbeat-*\", \"show_legend\": 1, \"interval\": \"auto\", \"pivot_label\": \"Topic Name\", \"type\": \"table\", \"bar_color_rules\": [{\"id\": \"f81e47a0-d2f3-11e8-9dd4-c5f03280d7b0\"}]}, \"type\": \"metrics\"}"
            },
            "id": "491fee50-d2f5-11e8-8766-dbbdc39e7ba9-ecs",
            "migrationVersion": {
                "visualization": "7.3.1"
            },
            "references": [],
            "type": "visualization",
            "updated_at": "2019-11-29T09:36:17.646Z",
            "version": "WzI2NDcsMV0="
        }
    ],
    "version": "7.4.0"
}